
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>phplib模板体系介绍 / iVAN</title>

    <meta name="description" content="phplib模板体系介绍 boeiBlog是一套支持多模板的单用户版网络日志程序 其模板引擎采用的是phplib7.4版.此版本修正了以前的大部分bug,文件位于class/template.class.php,有兴趣的朋友可以打开看看. 这是一套解析型的模板,而不是smarty之类的编译型.用这套模板的好处是模板页面可以很简单,但程序因为要替换模板中的标签,因此比较慢. 好在此系统是为个人用户准备的.效率是放在第二位,易用性是放在首位的,因此仍然采用的是phplib的模板. 语法介绍: phplib中常用的方法有set">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">phplib模板体系介绍</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>boeiBlog是一套支持多模板的单用户版网络日志程序</p>
<p>其模板引擎采用的是phplib7.4版。此版本修正了以前的大部分bug，文件位于class/template.class.php,有兴趣的朋友可以打开看看。</p>
<p>这是一套解析型的模板，而不是smarty之类的编译型。用这套模板的好处是模板页面可以很简单，但程序因为要替换模板中的标签，因此比较慢。</p>
<p>好在此系统是为个人用户准备的。效率是放在第二位，易用性是放在首位的，因此仍然采用的是phplib的模板。</p>
<p>语法介绍：</p>
<p>phplib中常用的方法有set_file,set_block,set_var,parse,ppasre,p,get等。</p>
<p>声明：由于本系统采用的是phplib,如果页面中有大括号对，这将会替换成空白，所以在写此文章时，用"[[","]]"来替代大括号。大家在用的时候是用大括号便是，此处仅为写文章方便而作此约定。</p>
<p>set_file:是用来引入模板文件。</p>
<p>用法：</p>
<p><code>$t-&gt;set_file("show_main","main.htm");<br />
或<br />
$t-&gt;set_file(array(<br />
"show_header"=&gt;"header.htm",<br />
"show_main"=&gt;"main.htm"<br />
));</code></p>
<p>set_block:用来声明一个区块</p>
<p>用法:</p>
<p>$t-&gt;set_block("show_main","rowlist","RL");</p>
<p>稍微解释一下，show_main是用set_file取得的文件句柄，rowlist是模板页面中的区域标识一般如下方式来写</p>
<p><code>&lt;table&gt;<br />
&lt;!-- BEGIN rowlist --&gt;<br />
&lt;tr&gt;<br />
&lt;td&gt;[[param]]&lt;/td&gt;<br />
&lt;/tr&gt;<br />
&lt;!-- END rowlist --&gt;<br />
&lt;/table&gt;</code></p>
<p>如上是将&lt;tr&gt;&lt;/tr&gt;作为了一个区块，这样就可以用循环来生成多行的列表了</p>
<p>区块是可以嵌套的</p>
<p><code>&lt;table&gt;<br />
&lt;!-- BEGIN rowlist --&gt;<br />
&lt;tr&gt;<br />
&lt;!-- BEGIN collist --&gt;<br />
&lt;td&gt;[[param]]&lt;/td&gt;<br />
&lt;!-- END collist --&gt;<br />
&lt;/tr&gt;<br />
&lt;!-- END rowlist --&gt;<br />
&lt;/table&gt;</code></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-21 10:07:11</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e9%a1%b5%e9%9d%a2/" title="页面">页面</a>, <a href="https://www.iamivan.net/tag/%e6%a8%a1%e6%9d%bf/" title="模板">模板</a>, <a href="https://www.iamivan.net/tag/%e6%8b%ac%e5%8f%b7/" title="括号">括号</a>, <a href="https://www.iamivan.net/tag/phplib/" title="phplib">phplib</a>, <a href="https://www.iamivan.net/tag/%e5%8d%95%e7%94%a8%e6%88%b7/" title="单用户">单用户</a>, <a href="https://www.iamivan.net/tag/%e5%8c%ba%e5%9d%97/" title="区块">区块</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>phplib模板体系介绍的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b24Z83p.html" rel="bookmark">常用的JavaScript模板引擎介绍</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这篇文章主要介绍了常用的JavaScript模板引擎介绍,本文介绍了8款常用JavaScript 模板引擎,着重讲解了artTemplate模板引擎,需要的朋友可以参考下     最近工作内容慢慢接近我的理想化(web前端),所以关注比较多的是前端性能!后台同事介绍使用ajax模板引擎,提高渲染速度! 下面介绍几款 JavaScript 模板引擎 1. Mustache 基于javascript 实现的模板引擎,类似于 Microsoft's jQuery template plugin,但更简			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn8QDKb.html" rel="bookmark">PHPLIB模板入门教程-解析文件实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				嵌套的模板 parse()函数的一个灵巧的特性是它创建的MyOutput句柄是一个真正的模板变量,就象some_color 是一 个模板变量.所以如果你有另一个模板,它有一个{MyOutput}标签,当你分析第二个模板时,所有的 {MyOutput}标记将被替换为MyOutput中的分析后的文本.这个特性允许你将一个模板文件嵌入到另一个模板 中.所以,我们可能有另一个名为wholePage.ihtml的模板,内容如下:   对不起,你没赢.但是如果你赢了,我们将对你说: {MyOutput} 并			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pL0vJWp.html" rel="bookmark">百度数据仓库体系介绍</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				百度数据仓库体系介绍 刘立萍   liuliping@baidu.com 2012年11月27日 --我们要解决的大数据问题 --百度数据仓库产品 --百度大数据多维分析/报表引擎产品 temp_12120509416231.pdf			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/9bBD7Kp.html" rel="bookmark">PHP技巧：详解phplib模板使用过程及运行原理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				index.htm文件内容: 以下为引用的内容: &lt;html&gt;&lt;head&gt;&lt;body&gt;&lt;!-- BEGIN RowSort --&gt;{SortList}&lt;br&gt;&lt;!-- END RowSort --&gt;&lt;/body&gt;&lt;/head&gt;&lt;/html&gt; index.php内容: &lt;?$t-&gt;set_file (&quot;Index&quot;, &quot;index.htm&quot;);$t-			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mg3vO5M.html" rel="bookmark">MaxCompute和DataIDE权限体系介绍</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				产品关系 MaxCompute是阿里云自主研发的大数据计算引擎.通过MaxCompute,可以使用SQL.MapReduce和Graph的计算模型处理海量数据.产品还提供了机器学习的功能,并包装成机器学习这个产品对外提供服务.用户使用MaxCompute,不需要关心底层的分布式计算细节,就可以轻松地处理海量数据. 但是直接用MaxCompute也有一些不方便之处,比如需要更方便地进行开发代码的管理.进行数据的导入导出.设置任务的定时调度以及上下游依赖.管理任务的运行情况并做好异常报警.需要有简单			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b32yZgz.html" rel="bookmark">PostgreSQL 逻辑结构 和 权限体系 介绍</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文旨在帮助用户理解PostgreSQL的逻辑结构和权限体系,帮助用户快速的理解和管理数据库的权限. 逻辑结构 最上层是实例,实例中允许创建多个数据库,每个数据库中可以创建多个schema,每个schema下面可以创建多个对象.对象包括表.物化视图.操作符.索引.视图.序列.函数.... 等等. 在数据库中所有的权限都和角色(用户)挂钩,public是一个特殊角色,代表所有人.超级用户是有允许任意操作对象的,普通用户只能操作自己创建的对象.另外有一些对象是有赋予给public角色默认权限的,所以			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6ZLQXM.html" rel="bookmark">JUnit 5系列之架构体系介绍</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				现在,我们已经知道了 如何配置 JUnit 5 环境 及 如何写一些测试,接下来就来看一点封面下的内容吧.本篇我们将讨论 JUnit 5 的架构体系,以及它之成形如此的原因. 概述 本文章是这个 JUnit 5 系列的一部分: 环境搭建 基础入门 架构体系 扩展模型(Extension Model) 条件断言 注入 动态测试 ... (如果不喜欢看文章,你可以戳这里看我的演讲,或者看一下最近的 vJUG 讲座,或者我在 DevoxxPL 上的 PPT. 本系列文章都基于 Junit 5发布的先行			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bK5Yw7p.html" rel="bookmark">常用的JavaScript模板引擎介绍&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近工作内容慢慢接近我的理想化(web前端),所以关注比较多的是前端性能!后台同事介绍使用ajax模板引擎,提高渲染速度! 下面介绍几款 JavaScript 模板引擎 1. Mustache 基于javascript 实现的模板引擎,类似于 Microsoft's jQuery template plugin,但更简单易用! 2. doT.js doT.js 包含为浏览器和Node.js 准备的 JavaScript 模板引擎. 3. jSmart jSmart 是著名的 PHP 模板引擎 S			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOn0O5p.html" rel="bookmark">Underscore&period;js 的模板功能介绍与应用&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Underscore是一个非常实用的JavaScript库,提供许多编程时需要的功能的支持,他在不扩展任何JavaScript的原生对象的情况下提供很多实用的功能. 无论你写一段小的js代码,还是写一个大型的HTML5应用,underscore都能帮上忙.目前,underscore已经被广泛使用,例如,backbone.js唯一强依赖的库就是underscore.js. 今天主要讨论Underscore 的前端模板功能.它的模板功能和前一篇介绍的javascript前端模板是一样的.对数据的处理			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpPO60M.html" rel="bookmark" class="title">XML卷之实战锦囊（1）&mdash;&mdash;动态排序</a>
					<div>
						排序功能让我们页面上的数据显的更人性化,是我们在网站上见过的很普遍的一个功能效果了.以往的自动排序都是用大量的脚本代码来完成的,对一般的爱好者来说这是件困难的事情.然而用XML来处理的话就简单多了.让 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMy6BEp.html" rel="bookmark" class="title">借花献佛来实现站内优化的三个技巧</a>
					<div>
						如何合理的进行seo优化对于网络营销是十分重要的,我们在seo的理论学习和实际操作中,有很多东西都需要学习和借鉴别人的经验,但是借鉴也要讲究一定的方法,借鉴绝对不是简单的照抄照搬,我们需要分析别人se ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9ze8x7p.html" rel="bookmark" class="title">CorelDRAW绘制汉堡&plus;可乐全程实录</a>
					<div>
						事先声名,这种高热量垃圾食物我是不吃的~~.~~只是觉得好看而已没别的企图 本来还想放个老人头进去的,无奈找不到素材,只怪他没福气~~~,制作过程当然会很详细滴,因为里面没什么特别的技巧. 先上效果图 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyrrLJp.html" rel="bookmark" class="title">WPF and Silverlight学习笔记（十五）：WPF命令&lpar;Commands&rpar;</a>
					<div>
						WPF中的命令路由与事件路由是两个很让初学者头痛的概念,对于命令路由可 以理解为,系统(WPF)定义了一系列的操作,在应用程序中可以直接使用.例 如,定义一系列菜单,执行对窗体中文本框的复制.剪切.粘 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDA0mlb.html" rel="bookmark" class="title">ODAC简介</a>
					<div>
						Oracle 数据存取组件(ODAC) 库为Borland Delphi,C++ Builder 以及 Kylix提供了一些非可视化的组件.它们用来存取Oracle关系数据库系统.与BDE类似, OD ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlRoGLz.html" rel="bookmark" class="title">路由器常见故障修复</a>
					<div>
						路由器常见故障修复: 宽带路由器在企业网络中的应用是相当广泛的,在运行的过程中出现故障是在所难免的,虽然故障现象多种多样,引起故障发生的原因也不尽相同,但从大体上可以把这些故障分为硬件故障和软件故障, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBKR29M.html" rel="bookmark" class="title">Word2007如何算算式</a>
					<div>
						  一请计算器出山 虽然Word2007提供了&quot;计算&quot;工具但似乎因为功能简单而有点羞于见人的味道所以,计算器,深藏不露,如欲使用先行将它请出山,方法如下 右键单击快速访问工具栏,然 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8ZmZNb.html" rel="bookmark" class="title">怎样安装机箱风扇散热最好</a>
					<div>
						曾经我们在&quot;电脑组装教程 &quot;栏目中为大家介绍过各种电脑组装教程,很少会涉及到一些关于机箱散热风扇的安装教程,针对近期有网友问到的机箱风扇怎么装的问题,今天电脑深度之家小编来与大家分 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MArZg3p.html" rel="bookmark" class="title">找对业务G点&comma; 体验酸爽 - PostgreSQL内核扩展指南</a>
					<div>
						通用数据库就像带装修的房子一样,如果按数据库的功能划分,可以分为豪华装修.精装.简装. PostgreSQL从SQL兼容性.功能.性能.稳定性等方面综合评价的话,绝对算得上豪华装修级别的,用户拎包入住 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW22nqb.html" rel="bookmark" class="title">jsp-关于数据库存取文件的问题</a>
					<div>
						问题描述 关于数据库存取文件的问题 我将图片存在硬盘上,然后将图片的绝对路径存在数据库中,请问用jsp怎么显示出这个图片啊? 因为jsp中使用绝对路径好像没有用啊,貌似是要配置虚拟路径来访问,怎么样把 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8kgxNM.html" rel="bookmark" class="title">无法启动WP Emulator</a>
					<div>
						  记得以前Vware不能运行设置的东西了吗?http://www.cnblogs.com/dunitian/p/4480750.html 如果不清楚可以参考上面的链接 重启的时候选择第二项 重新打开 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGAnjvM.html" rel="bookmark" class="title">安卓源码-安卓代码无法socket连接个人笔记本服务器~一直没能解决这个问题，求帮助</a>
					<div>
						问题描述 安卓代码无法socket连接个人笔记本服务器~一直没能解决这个问题,求帮助 服务器代码: import java.awt.FlowLayout; import java.awt.Frame; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4N6NYM.html" rel="bookmark" class="title">关于外卖app下订单后计时配送的技术实现</a>
					<div>
						问题描述 关于外卖app下订单后计时配送的技术实现 像口碑.美团外卖等一些外卖app,我们在下完订单后,会有个配送时间的计时,这个是怎么实现的?像这样的大型的外卖app,如果是客户端用计时器来实现的话 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boRGPvz.html" rel="bookmark" class="title">C&plus;&plus;（MFC）中WebBrowser去除3D边框的方法（实现IDocHostUIHandler接口）</a>
					<div>
						先说实在的:最终解决办法是实现IDocHostUIHandler接口,在GetHostInfo方法里解决,但&quot;实现接口&quot;意味着QueryInterface.AddRef.Relea ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b32Q53z.html" rel="bookmark" class="title">RDS SQL Server死锁（Deadlock）系列之五利用Extended Events获取死锁信息</a>
					<div>
						问题引入 在过去很长一段时间,不断有客人会问道:&quot;在事先没有任何跟踪或者监控部署的情况下,阿里云RDS SQL Server有没有办法获取到历史死锁信息,供我们分析?&quot;.在写到RD ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4NlrYM.html" rel="bookmark" class="title">有些实体店有欺骗消费者的嫌疑</a>
					<div>
						&quot;前段时间,可莎蜜儿在糯米网上推出了一款团购活动,仅需3.6元就可在16种8元饮品中任选1种.&quot;阮小姐说,她一共购买了5张券,这是她第二次参加这项活动. 前几天,阮小姐去可莎蜜儿清 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZgEgwb.html" rel="bookmark" class="title">DataWindow Designer 2&period;5求大神带领</a>
					<div>
						问题描述 DataWindowDesigner2.5中的grid,如何默认选择整行,并且数据为只读或者哪位大神有DataWindowDesigner2.5的Help文本也可以 解决方案					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxY4OQp.html" rel="bookmark" class="title">windows 7 下快速搭建php环境&lpar;windows7&plus;IIS7&plus;php&plus;mysql&rpar;</a>
					<div>
						原文:windows 7 下快速搭建php环境(windows7+IIS7+php+mysql) 1).采用理由: 优点:最大化的桌面图形化操作系统,可维护性优秀.基于IIS v6.0/v7.0(20 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MydANlb.html" rel="bookmark" class="title">公共安全视频监控的5个创新技术大预测</a>
					<div>
						公共安全正成为中国政府日益关注的焦点话题,公共暴力犯罪成为近年屡见报端的突然恶劣新闻事件.人口众多,发展不平衡导致的一系列社会问题正在加剧这个过程,所以加强公共安全的视频监控建设已经迫在眉睫,更多的资 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDnj70M.html" rel="bookmark" class="title">CIO注意！机器人技术将重塑社会</a>
					<div>
						机器人技术已步入正轨,发展越来越快,比人类越来越智能,终有一天,他们会跟人类一样拥有创造力.机器人工程师Hod Lipson说.现在,是时候准备了. 机器人对职业机会造成威胁的报道与叫我们保持冷静的报 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDnPvXM.html" rel="bookmark" class="title">Android环信自动登陆会校验吗？如果我版本升级APP端直接定死了密码会提示登陆不成功吗？</a>
					<div>
						问题描述 Android环信自动登陆会校验吗?如果我版本升级APP端直接定死了密码会提示登陆不成功吗? 解决方案 即首次登录成功后,不需要再次调用登录方法,在下次app启动时,SDK会自动为您登录.并 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWW0ojM.html" rel="bookmark" class="title">struts2使用JavaBean接收参数的疑问</a>
					<div>
						问题描述 在使用struts2的时候,我发送的参数是这样的:但是到了Action只取到最后一个prolist参数,其他全部为空,如下:其他的参数都为空,总是最后一个参数给赋值了,有没有那位朋友遇到过类 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bodgLgM.html" rel="bookmark" class="title">环信ios的push&comma; inhouse类型的app支持吗&quest;</a>
					<div>
						问题描述 环信ios的push, inhouse类型的app支持吗? 解决方案 inhouse应该是指企业证书的,这个sdk不关注,只要推送证书对应配套就可以推送.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlLaJqM.html" rel="bookmark" class="title">员工为何&OpenCurlyDoubleQuote;知而不言&rdquo;？</a>
					<div>
						以知识分享实现员工充分交流下的协作,被看作是企业成功的根本.领导者要鼓励知识分享,保证每个员工都能了解企业的方方面面,包括财务.有竞争力的产品或服务,以及企业的战略.要让员工分享知识,领导者首先要了解 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boLOO3M.html" rel="bookmark" class="title">PDO取Oracle lob大字段，当数据量太大无法取出的问题的解决办法&lowbar;oracle</a>
					<div>
						首先,创建一个存储过程 get_clob: t_name:要查询的表名:f_name:要查询的字段名:u_id:表的主键,查询条件:l_pos:截取的开始位置: l_amount :截取长度: CRE ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ1YaOb.html" rel="bookmark" class="title">Windows Server 2003下修改MySQL 5&period;5数据库data目录&lowbar;Mysql</a>
					<div>
						说明: 操作系统:Windows Server 2003 MySQL版本:5.5.25 MySQL程序安装目录:D:\Program Files\MySQL\MySQL Server 5.5\ MyS ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL5d4az.html" rel="bookmark" class="title">Android中home键和back键区别实例分析&lowbar;Android</a>
					<div>
						本文实例分析了Android中home键和back键区别.分享给大家供大家参考.具体如下: back键 Android的程序无需刻意的去退出,当你一按下手机的back键的时候,系统会默认调用程序栈中最 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba65lqM.html" rel="bookmark" class="title">安装calamari的时候执行vagrant up失败</a>
					<div>
						问题描述 我在用官网推荐的编译步骤时,执行vagrantup创建vm成功,在bootstrappingsalt时失败,提示ThefollowingSSHcommandrespondedwithanoe ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJOQL7b.html" rel="bookmark" class="title">急求：安徽科大讯飞公司如何？</a>
					<div>
						问题描述 想知道这个公司加班情况,还有在里面能不能学习到东西?对于应届生来说,起点和跳板作用如何?谢谢 解决方案 解决方案二:楼主牛B··解决方案三:看了你给我发的私信.我看你发的两个帖子都对加班情况 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mxg0J7b.html" rel="bookmark" class="title">SEO短板效应的真谛</a>
					<div>
						摘要: 第一次接触短板效应觉得感触很深,在此将它运用到seo方面来,短板效应其真谛我想很多应该都清楚,可能还有些人不知道吧!在这里给新手们简单的介绍下短板效应的真谛: 短板效应 第一次接触短板效应觉得 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
